Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163189 - TBf2bb9356 maindialog.py:1074:on_generic_clist_select_row:AttributeError: DevEthernet instance has no attribute 'Slave'
Summary: TBf2bb9356 maindialog.py:1074:on_generic_clist_select_row:AttributeError: Dev...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-network
Version: 3.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-13 21:15 UTC by mehul rami
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 18:58:06 UTC


Attachments (Terms of Use)
Summary: TBf2bb9356 maindialog.py:1074:on_generic_clist_select_row:AttributeError: DevEthernet instance has no attribute 'Slave' bug details for redhat-config-network (deleted)
2005-07-13 21:17 UTC, mehul rami
no flags Details

Description mehul rami 2005-07-13 21:15:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
When try to start the network config tools it crashes with the error 
Summary: TBf2bb9356 maindialog.py:1074:on_generic_clist_select_row:AttributeError: DevEthernet instance has no attribute 'Slave'
Traceback (most recent call last):

Version-Release number of selected component (if applicable):
redhat-config-network-1.2.63-1

How reproducible:
Always

Steps to Reproduce:
1.restart the network admin GUI
2.
3.
  

Expected Results:  show me the network config GUI

Additional info:

Comment 1 mehul rami 2005-07-13 21:17:13 UTC
Created attachment 116724 [details]
Summary: TBf2bb9356 maindialog.py:1074:on_generic_clist_select_row:AttributeError: DevEthernet instance has no attribute 'Slave'
bug details for redhat-config-network

Comment 2 Harald Hoyer 2005-07-14 10:21:53 UTC
please attach your /etc/sysconfig/network-scripts/ifcfg-* files 

Comment 3 mehul rami 2005-07-21 21:14:35 UTC
cat ifcfg-eth0
# 3Com Corporation|3c980-TX 10/100baseTX NIC [Python-T]
DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:01:03:E2:E8:30
ONBOOT=yes
TYPE=Ethernet

# cat ifcfg-lo
DEVICE=lo
IPADDR=127.0.0.1
NETMASK=255.0.0.0
NETWORK=127.0.0.0
# If you're having problems with gated making 127.0.0.0/8 a martian,
# you can change this to something else (255.255.255.255, for example)
BROADCAST=127.255.255.255
ONBOOT=yes
NAME=loopback





Comment 4 Harald Hoyer 2005-07-22 06:24:39 UTC
ok, looks fine.
could you please 
# mv /etc/sysconfig/networking /etc/sysconfig/networking.old
and retry to start r-c-network.

Comment 5 Blair Barrett 2005-10-01 16:12:53 UTC
I attempted this fix and received the following traceback:

Component: redhat-config-network
Version: 1.2.58
Summary: TB70f581f6 NCProfileList.py:108:load:OSError: [Errno 2] No such file or
directory: '/etc/sysconfig/networking/profiles/'
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 163, in main
    window = mainDialog()
  File
"/usr/src/build/439899-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 91, in __init__
  File
"/usr/src/build/439899-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 266, in load
  File
"/usr/src/build/439899-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 282, in loadProfiles
  File
"/usr/src/build/309773-noarch/install/usr/share/redhat-config-network/netconfpkg/NCProfileList.py",
line 597, in getProfileList
  File
"/usr/src/build/309773-noarch/install/usr/share/redhat-config-network/netconfpkg/NCProfileList.py",
line 108, in load
OSError: [Errno 2] No such file or directory: '/etc/sysconfig/networking/profiles/'

Local variables in innermost frame:
changed: 1
nwconf: <rhpl.Conf.ConfShellVar instance at 0x9c399c4>
ipseclist: 
devicelist: 
self: 
use_hostname: localhost.localdomain
dnsconf: <rhpl.Conf.ConfEResolv instance at 0x9c3f484>
curr_prof: default

I then created a networking directory under /etc/sysconfig and the original
problem returned.

Comment 6 Harald Hoyer 2005-10-05 07:18:38 UTC
In U3 of RHEL3 there is redhat-config-network-1.2.63-1 . Please upgrade to this
version and retry.

Comment 7 RHEL Product and Program Management 2007-10-19 18:58:06 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.